snd_pcm_lib_preallocate_pages_for_all
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_lib_preallocate_pages_for_all — pre-allocation for continous memory type (all substreams)

## Synopsis

`int snd_pcm_lib_preallocate_pages_for_all (` | struct snd_pcm * | pcm,
| int | type,
| void * | data,
| size_t | size,
| size_t | max`)`;

## Arguments

`pcm`

  the pcm instance

`type`

  DMA type (SNDRV_DMA_TYPE_*)

`data`

  DMA type dependant data

`size`

  the requested pre-allocation size in bytes

`max`

  the max. allowed pre-allocation size

## Description

Do pre-allocation to all substreams of the given pcm for the specified DMA type.

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
snd_pcm_lib_preallocate_pages | Home | snd_pcm_sgbuf_ops_page